Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Interface PropertyData

All Known Implementing Classes:
  PropertyInferredData, PropertyPreloadedData, WrappedInferredData

    public interface PropertyData

Method Summary
`org.hibernate.annotations.common.reflection.XClass` | `getClassOrElement()` Returns the returned class itself or the element type if an array
`String` | `getClassOrElementName()` Returns the returned class name itself or the element type if an array
`String` | `getDefaultAccess()`
`org.hibernate.annotations.common.reflection.XProperty` | `getProperty()`
`org.hibernate.annotations.common.reflection.XClass` | `getPropertyClass()` Return the class itself
`String` | `getPropertyName()`
`String` | `getTypeName()` Returns the returned class name itself

Method Detail

### getDefaultAccess

    String getDefaultAccess()

  Returns:
    default member access (whether field or property)
  Throws:
    `org.hibernate.MappingException` - No getter or field found or wrong JavaBean spec usage

### getPropertyName

    String getPropertyName()
                           throws org.hibernate.MappingException

  Returns:
    property name
  Throws:
    `org.hibernate.MappingException` - No getter or field found or wrong JavaBean spec usage

### getClassOrElement

    org.hibernate.annotations.common.reflection.XClass getClassOrElement()
                                                                         throws org.hibernate.MappingException

  Returns the returned class itself or the element type if an array

  Throws:
    `org.hibernate.MappingException`

### getPropertyClass

    org.hibernate.annotations.common.reflection.XClass getPropertyClass()
                                                                        throws org.hibernate.MappingException

  Return the class itself

  Throws:
    `org.hibernate.MappingException`

### getClassOrElementName

    String getClassOrElementName()
                                 throws org.hibernate.MappingException

  Returns the returned class name itself or the element type if an array

  Throws:
    `org.hibernate.MappingException`

### getTypeName

    String getTypeName()
                       throws org.hibernate.MappingException

  Returns the returned class name itself

  Throws:
    `org.hibernate.MappingException`

### getProperty

    org.hibernate.annotations.common.reflection.XProperty getProperty()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD